
%global meadversion 2.5.11
%global namedversion 2.5.11.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead

%define maven_version 2.5.11.Final-redhat-1

Name:           jboss-hal
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        HAL Release Stream
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: release-stream-2.5.11.Final-redhat-1-scm-sources.zip
Source102: release-stream-2.5.11.Final-redhat-1.war
Source103: release-stream-2.5.11.Final-redhat-1-project-sources.tar.gz
Source104: release-stream-2.5.11.Final-redhat-1-overlay.zip
Source105: release-stream-2.5.11.Final-redhat-1-resources.jar
Source106: release-stream-2.5.11.Final-redhat-1.pom
Source107: release-stream-2.5.11.Final-redhat-1-sources.jar
%endif

URL:            https://github.com/hal/release-stream
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-as-console >= 0:1.5.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/release-stream-%{namedversion}-%{release}-root

%description
HAL release stream master. Implements the assembly.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/release-stream-%{namedversion}-resources.jar %{buildroot}%{_javadir}/release-stream-%{namedversion}-resources.jar
%{__cp} -p %{_sourcedir}/release-stream-%{namedversion}.war %{buildroot}%{_javadir}/release-stream-%{namedversion}.war
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/release-stream-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-release-stream.pom

# depmaps
%add_to_maven_depmap org.jboss.hal release-stream %{namedversion} JPP release-stream
[ %{name} = "release-stream" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/release-stream

%clean
%{__rm} -rf %{buildroot}

%post -n jboss-hal
%update_maven_depmap

%postun -n jboss-hal
%update_maven_depmap

%files -n jboss-hal
%defattr(0644,root,root,0755)
%{_javadir}/release-stream-%{namedversion}.war
%{_javadir}/release-stream.war
%{_javadir}/release-stream-%{namedversion}-resources.jar
%{_javadir}/release-stream-resources.jar
%{_mavenpomdir}/JPP-release-stream.pom
%{_mavendepmapfragdir}/release-stream

%changelog
* Tue Oct 27 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.11-1.Final_redhat_1.1
- Upgrade to 2.5.11.Final

* Mon Sep 21 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.10-2.Final_redhat_2.2
- Rebuild due to regression of BZ-1235324

* Mon Sep 21 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.10-2.Final_redhat_2.1
- Rebuild due to regression of BZ-1235324

* Fri Sep 18 2015 Petr Sakar <psakar@redhat.com> - 2.5.10-1.Final_redhat_1.1
- Upgrage to 2.5.10.Final-redhat-1

* Tue Sep 08 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.9-1.Final_redhat_1.1
- Upgrade to 2.5.9.Final

* Wed Jul 22 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.6-2.Final_redhat_2.1
- Rebuild for BZ-1235324

* Mon Jun 15 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.6-1.Final_redhat_1.1
- Upgrade to 2.5.6.Final

* Thu Feb 19 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-1.Final_redhat_1.1
- Upgrade to 2.5.5.Final

* Mon Jan 26 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.3-1.Final_redhat_1.1
- Upgrade to 2.5.3.Final

* Wed Jan 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.2-1.Final_redhat_1.1
- Upgrade to 2.5.2.Final

* Mon Dec 08 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.1-1.redhat_1.1
- Upgrade to 2.5.1

* Tue Dec 02 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.0-1.Final_redhat_1.1
- Upgrade to 2.5.0.Final

* Sun Nov 23 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.4.8-1.Final_redhat_1.1
- Upgrade to 2.4.8.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.10-1.Final_redhat_1.1
- Upgrade to 2.2.10.Final

* Tue Jun 03 2014 Paul Gier <pgier@redhat.com> - 2.2.8-1.Final_redhat_1.1
- Upgrade to 2.2.8.Final

* Thu May 29 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.7-1.Final_redhat_1.1
- Upgrade to 2.2.7.Final

* Wed May 14 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.4-1.Final_redhat_1.1
- Upgrade to 2.2.4.Final

* Tue Apr 08 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.2-1.Final_redhat_1.1
- Upgrade to 2.2.2.Final

* Mon Mar 24 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.1-1.Final_redhat_1.1
- Upgrade to 2.2.1.Final

* Thu Mar 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.0-4.Final_redhat_1.1
- Upgrade to 2.2.0.Final

* Tue Mar 11 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.0-3.Beta4_redhat_1.1
- Upgrade to 2.2.0.Beta4

* Wed Mar 05 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.0-2.Beta3_redhat_1.1
- Build wrappers

* Wed Mar 05 2014 Vladimir Dosoudil <dosoudil@redhat.com> - 2.2.0-2.Beta3_redhat_1.1
- Upgrade to 2.2.0.Beta3

* Tue Mar 04 2014 Paul Gier <pgier@redhat.com> - 2.2.0-1.Beta2_redhat_1.1
- Upgrade to 2.2.0.Beta2

* Mon Nov 04 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.6-1.Final_redhat_1
- Upgrade to 2.0.6.Final

* Wed Oct 23 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.5-1.Final_redhat_1
- Upgrade to 2.0.5.Final

* Thu Oct 17 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.4-1.Final_redhat_1
- Upgrade to 2.0.4.Final

* Mon Oct 07 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.3-1.Final_redhat_1
- Upgrade to 2.0.3.Final

* Wed Oct 02 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.2-1.Final_redhat_1
- Upgrade to 2.0.2.Final

* Mon Sep 23 2013 Paul Gier <pgier@redhat.com> - 2.0.0-1
- Upgrade to 2.0.0.Final

* Thu Aug 08 2013 Yong Yang <yyang@redhat.com> - 1.5.4-5
- Fix license

* Fri Jul 19 2013 David Walluck <dwalluck@redhat.com> 0:1.5.4-4
- fix bad file perms (should be root:root, not jboss:jboss)
- fix bad file name for resources jar (classifier in wrong place)
- fix maven support (add scripts, add (B)Rs, fix pom name, etc.)
- fix License (use short form)
- fix missing clean command
- add missing URL tag

* Fri Jul 19 2013 Yong Yang <yyang@redhat.com> - 1.5.4-3
- Add resources.jar

* Wed Jul 17 2013 Fernando Nasser <fnasser@redhat.com> - 1.5.4-2
- Use eap profile for proper product branding

* Wed Jul 17 2013 Yong Yang <yyang@redhat.com> - 1.5.4-1.1.Final_rehdat_1
- Add noarch

* Wed Jul 17 2013 Yong Yang <yyang@redhat.com> - 1.5.4-1.Final_rehdat_1
- redhat_1 build

* Tue Jul 16 2013 Fernando Nasser <fnasser@redhat.com> - 1.5.4-1
- Initial build
